# -*- coding: utf-8 -*-
from setuptools import setup, find_packages
from aldryn_wordpress_import import __version__

REQUIREMENTS = [
    'Django>=1.5.5',
    'aldryn-blog',
    'BeautifulSoup',
    'django-taggit',
    'django-filer',
    'lxml',
    'python-dateutil',
    'requests',
]

CLASSIFIERS = [
    'Development Status :: 2 - Pre-Alpha',
    'Environment :: Web Environment',
    'Framework :: Django',
    'Intended Audience :: Developers',
    'License :: OSI Approved :: BSD License',
    'Operating System :: OS Independent',
    'Programming Language :: Python',
    'Topic :: Internet :: WWW/HTTP :: Dynamic Content',
    'Topic :: Software Development',
    'Topic :: Software Development :: Libraries :: Application Frameworks',
]

setup(
    name='aldryn-wordpress-import',
    version=__version__,
    description='Wordpress import for aldryn-blog',
    author='Divio AG',
    author_email='info@divio.ch',
    url='https://github.com/aldryn/aldryn-wordpress-import',
    packages=find_packages(),
    license='LICENSE.txt',
    platforms=['OS Independent'],
    install_requires=REQUIREMENTS,
    classifiers=CLASSIFIERS,
    include_package_data=True,
    zip_safe=False
)
